Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/20
Addresses2^108
/64 networks2^44
Network
fc0b:8000::/20
First address
fc0b:8000::
Last address
fc0b:8fff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
324,518,553,658,426,726,783,156,020,576,256 (2^108)
/64 networks (LANs)
17,592,186,044,416 (2^44)
Full form
fc0b:8000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
8.b.0.c.f.ip6.arpa
Split into smaller subnets/28

fc0b:8000::/20 makes 256 subnets of /28.

Subnets
#SubnetLast address
1fc0b:8000::/28fc0b:800f:ffff:ffff:ffff:ffff:ffff:ffff
2fc0b:8010::/28fc0b:801f:ffff:ffff:ffff:ffff:ffff:ffff
3fc0b:8020::/28fc0b:802f:ffff:ffff:ffff:ffff:ffff:ffff
4fc0b:8030::/28fc0b:803f:ffff:ffff:ffff:ffff:ffff:ffff
5fc0b:8040::/28fc0b:804f:ffff:ffff:ffff:ffff:ffff:ffff
6fc0b:8050::/28fc0b:805f:ffff:ffff:ffff:ffff:ffff:ffff
7fc0b:8060::/28fc0b:806f:ffff:ffff:ffff:ffff:ffff:ffff
8fc0b:8070::/28fc0b:807f:ffff:ffff:ffff:ffff:ffff:ffff
9fc0b:8080::/28fc0b:808f:ffff:ffff:ffff:ffff:ffff:ffff
10fc0b:8090::/28fc0b:809f:ffff:ffff:ffff:ffff:ffff:ffff
11fc0b:80a0::/28fc0b:80af:ffff:ffff:ffff:ffff:ffff:ffff
12fc0b:80b0::/28fc0b:80bf:ffff:ffff:ffff:ffff:ffff:ffff
13fc0b:80c0::/28fc0b:80cf:ffff:ffff:ffff:ffff:ffff:ffff
14fc0b:80d0::/28fc0b:80df:ffff:ffff:ffff:ffff:ffff:ffff
15fc0b:80e0::/28fc0b:80ef:ffff:ffff:ffff:ffff:ffff:ffff
16fc0b:80f0::/28fc0b:80ff:ffff:ffff:ffff:ffff:ffff:ffff
17fc0b:8100::/28fc0b:810f:ffff:ffff:ffff:ffff:ffff:ffff
18fc0b:8110::/28fc0b:811f:ffff:ffff:ffff:ffff:ffff:ffff
19fc0b:8120::/28fc0b:812f:ffff:ffff:ffff:ffff:ffff:ffff
20fc0b:8130::/28fc0b:813f:ffff:ffff:ffff:ffff:ffff:ffff
21fc0b:8140::/28fc0b:814f:ffff:ffff:ffff:ffff:ffff:ffff
22fc0b:8150::/28fc0b:815f:ffff:ffff:ffff:ffff:ffff:ffff
23fc0b:8160::/28fc0b:816f:ffff:ffff:ffff:ffff:ffff:ffff
24fc0b:8170::/28fc0b:817f:ffff:ffff:ffff:ffff:ffff:ffff
25fc0b:8180::/28fc0b:818f:ffff:ffff:ffff:ffff:ffff:ffff
26fc0b:8190::/28fc0b:819f:ffff:ffff:ffff:ffff:ffff:ffff
27fc0b:81a0::/28fc0b:81af:ffff:ffff:ffff:ffff:ffff:ffff
28fc0b:81b0::/28fc0b:81bf:ffff:ffff:ffff:ffff:ffff:ffff
29fc0b:81c0::/28fc0b:81cf:ffff:ffff:ffff:ffff:ffff:ffff
30fc0b:81d0::/28fc0b:81df:ffff:ffff:ffff:ffff:ffff:ffff
31fc0b:81e0::/28fc0b:81ef:ffff:ffff:ffff:ffff:ffff:ffff
32fc0b:81f0::/28fc0b:81ff:ffff:ffff:ffff:ffff:ffff:ffff
33fc0b:8200::/28fc0b:820f:ffff:ffff:ffff:ffff:ffff:ffff
34fc0b:8210::/28fc0b:821f:ffff:ffff:ffff:ffff:ffff:ffff
35fc0b:8220::/28fc0b:822f:ffff:ffff:ffff:ffff:ffff:ffff
36fc0b:8230::/28fc0b:823f:ffff:ffff:ffff:ffff:ffff:ffff
37fc0b:8240::/28fc0b:824f:ffff:ffff:ffff:ffff:ffff:ffff
38fc0b:8250::/28fc0b:825f:ffff:ffff:ffff:ffff:ffff:ffff
39fc0b:8260::/28fc0b:826f:ffff:ffff:ffff:ffff:ffff:ffff
40fc0b:8270::/28fc0b:827f:ffff:ffff:ffff:ffff:ffff:ffff
41fc0b:8280::/28fc0b:828f:ffff:ffff:ffff:ffff:ffff:ffff
42fc0b:8290::/28fc0b:829f:ffff:ffff:ffff:ffff:ffff:ffff
43fc0b:82a0::/28fc0b:82af:ffff:ffff:ffff:ffff:ffff:ffff
44fc0b:82b0::/28fc0b:82bf:ffff:ffff:ffff:ffff:ffff:ffff
45fc0b:82c0::/28fc0b:82cf:ffff:ffff:ffff:ffff:ffff:ffff
46fc0b:82d0::/28fc0b:82df:ffff:ffff:ffff:ffff:ffff:ffff
47fc0b:82e0::/28fc0b:82ef:ffff:ffff:ffff:ffff:ffff:ffff
48fc0b:82f0::/28fc0b:82ff:ffff:ffff:ffff:ffff:ffff:ffff
49fc0b:8300::/28fc0b:830f:ffff:ffff:ffff:ffff:ffff:ffff
50fc0b:8310::/28fc0b:831f:ffff:ffff:ffff:ffff:ffff:ffff
51fc0b:8320::/28fc0b:832f:ffff:ffff:ffff:ffff:ffff:ffff
52fc0b:8330::/28fc0b:833f:ffff:ffff:ffff:ffff:ffff:ffff
53fc0b:8340::/28fc0b:834f:ffff:ffff:ffff:ffff:ffff:ffff
54fc0b:8350::/28fc0b:835f:ffff:ffff:ffff:ffff:ffff:ffff
55fc0b:8360::/28fc0b:836f:ffff:ffff:ffff:ffff:ffff:ffff
56fc0b:8370::/28fc0b:837f:ffff:ffff:ffff:ffff:ffff:ffff
57fc0b:8380::/28fc0b:838f:ffff:ffff:ffff:ffff:ffff:ffff
58fc0b:8390::/28fc0b:839f:ffff:ffff:ffff:ffff:ffff:ffff
59fc0b:83a0::/28fc0b:83af:ffff:ffff:ffff:ffff:ffff:ffff
60fc0b:83b0::/28fc0b:83bf:ffff:ffff:ffff:ffff:ffff:ffff
61fc0b:83c0::/28fc0b:83cf:ffff:ffff:ffff:ffff:ffff:ffff
62fc0b:83d0::/28fc0b:83df:ffff:ffff:ffff:ffff:ffff:ffff
63fc0b:83e0::/28fc0b:83ef:ffff:ffff:ffff:ffff:ffff:ffff
64fc0b:83f0::/28fc0b:83ff:ffff:ffff:ffff:ffff:ffff:ffff
65fc0b:8400::/28fc0b:840f:ffff:ffff:ffff:ffff:ffff:ffff
66fc0b:8410::/28fc0b:841f:ffff:ffff:ffff:ffff:ffff:ffff
67fc0b:8420::/28fc0b:842f:ffff:ffff:ffff:ffff:ffff:ffff
68fc0b:8430::/28fc0b:843f:ffff:ffff:ffff:ffff:ffff:ffff
69fc0b:8440::/28fc0b:844f:ffff:ffff:ffff:ffff:ffff:ffff
70fc0b:8450::/28fc0b:845f:ffff:ffff:ffff:ffff:ffff:ffff
71fc0b:8460::/28fc0b:846f:ffff:ffff:ffff:ffff:ffff:ffff
72fc0b:8470::/28fc0b:847f:ffff:ffff:ffff:ffff:ffff:ffff
73fc0b:8480::/28fc0b:848f:ffff:ffff:ffff:ffff:ffff:ffff
74fc0b:8490::/28fc0b:849f:ffff:ffff:ffff:ffff:ffff:ffff
75fc0b:84a0::/28fc0b:84af:ffff:ffff:ffff:ffff:ffff:ffff
76fc0b:84b0::/28fc0b:84bf:ffff:ffff:ffff:ffff:ffff:ffff
77fc0b:84c0::/28fc0b:84cf:ffff:ffff:ffff:ffff:ffff:ffff
78fc0b:84d0::/28fc0b:84df:ffff:ffff:ffff:ffff:ffff:ffff
79fc0b:84e0::/28fc0b:84ef:ffff:ffff:ffff:ffff:ffff:ffff
80fc0b:84f0::/28fc0b:84ff:ffff:ffff:ffff:ffff:ffff:ffff
81fc0b:8500::/28fc0b:850f:ffff:ffff:ffff:ffff:ffff:ffff
82fc0b:8510::/28fc0b:851f:ffff:ffff:ffff:ffff:ffff:ffff
83fc0b:8520::/28fc0b:852f:ffff:ffff:ffff:ffff:ffff:ffff
84fc0b:8530::/28fc0b:853f:ffff:ffff:ffff:ffff:ffff:ffff
85fc0b:8540::/28fc0b:854f:ffff:ffff:ffff:ffff:ffff:ffff
86fc0b:8550::/28fc0b:855f:ffff:ffff:ffff:ffff:ffff:ffff
87fc0b:8560::/28fc0b:856f:ffff:ffff:ffff:ffff:ffff:ffff
88fc0b:8570::/28fc0b:857f:ffff:ffff:ffff:ffff:ffff:ffff
89fc0b:8580::/28fc0b:858f:ffff:ffff:ffff:ffff:ffff:ffff
90fc0b:8590::/28fc0b:859f:ffff:ffff:ffff:ffff:ffff:ffff
91fc0b:85a0::/28fc0b:85af:ffff:ffff:ffff:ffff:ffff:ffff
92fc0b:85b0::/28fc0b:85bf:ffff:ffff:ffff:ffff:ffff:ffff
93fc0b:85c0::/28fc0b:85cf:ffff:ffff:ffff:ffff:ffff:ffff
94fc0b:85d0::/28fc0b:85df:ffff:ffff:ffff:ffff:ffff:ffff
95fc0b:85e0::/28fc0b:85ef:ffff:ffff:ffff:ffff:ffff:ffff
96fc0b:85f0::/28fc0b:85ff:ffff:ffff:ffff:ffff:ffff:ffff
97fc0b:8600::/28fc0b:860f:ffff:ffff:ffff:ffff:ffff:ffff
98fc0b:8610::/28fc0b:861f:ffff:ffff:ffff:ffff:ffff:ffff
99fc0b:8620::/28fc0b:862f:ffff:ffff:ffff:ffff:ffff:ffff
100fc0b:8630::/28fc0b:863f:ffff:ffff:ffff:ffff:ffff:ffff
101fc0b:8640::/28fc0b:864f:ffff:ffff:ffff:ffff:ffff:ffff
102fc0b:8650::/28fc0b:865f:ffff:ffff:ffff:ffff:ffff:ffff
103fc0b:8660::/28fc0b:866f:ffff:ffff:ffff:ffff:ffff:ffff
104fc0b:8670::/28fc0b:867f:ffff:ffff:ffff:ffff:ffff:ffff
105fc0b:8680::/28fc0b:868f:ffff:ffff:ffff:ffff:ffff:ffff
106fc0b:8690::/28fc0b:869f:ffff:ffff:ffff:ffff:ffff:ffff
107fc0b:86a0::/28fc0b:86af:ffff:ffff:ffff:ffff:ffff:ffff
108fc0b:86b0::/28fc0b:86bf:ffff:ffff:ffff:ffff:ffff:ffff
109fc0b:86c0::/28fc0b:86cf:ffff:ffff:ffff:ffff:ffff:ffff
110fc0b:86d0::/28fc0b:86df:ffff:ffff:ffff:ffff:ffff:ffff
111fc0b:86e0::/28fc0b:86ef:ffff:ffff:ffff:ffff:ffff:ffff
112fc0b:86f0::/28fc0b:86ff:ffff:ffff:ffff:ffff:ffff:ffff
113fc0b:8700::/28fc0b:870f:ffff:ffff:ffff:ffff:ffff:ffff
114fc0b:8710::/28fc0b:871f:ffff:ffff:ffff:ffff:ffff:ffff
115fc0b:8720::/28fc0b:872f:ffff:ffff:ffff:ffff:ffff:ffff
116fc0b:8730::/28fc0b:873f:ffff:ffff:ffff:ffff:ffff:ffff
117fc0b:8740::/28fc0b:874f:ffff:ffff:ffff:ffff:ffff:ffff
118fc0b:8750::/28fc0b:875f:ffff:ffff:ffff:ffff:ffff:ffff
119fc0b:8760::/28fc0b:876f:ffff:ffff:ffff:ffff:ffff:ffff
120fc0b:8770::/28fc0b:877f:ffff:ffff:ffff:ffff:ffff:ffff
121fc0b:8780::/28fc0b:878f:ffff:ffff:ffff:ffff:ffff:ffff
122fc0b:8790::/28fc0b:879f:ffff:ffff:ffff:ffff:ffff:ffff
123fc0b:87a0::/28fc0b:87af:ffff:ffff:ffff:ffff:ffff:ffff
124fc0b:87b0::/28fc0b:87bf:ffff:ffff:ffff:ffff:ffff:ffff
125fc0b:87c0::/28fc0b:87cf:ffff:ffff:ffff:ffff:ffff:ffff
126fc0b:87d0::/28fc0b:87df:ffff:ffff:ffff:ffff:ffff:ffff
127fc0b:87e0::/28fc0b:87ef:ffff:ffff:ffff:ffff:ffff:ffff
128fc0b:87f0::/28fc0b:87ff:ffff:ffff:ffff:ffff:ffff:ffff
129fc0b:8800::/28fc0b:880f:ffff:ffff:ffff:ffff:ffff:ffff
130fc0b:8810::/28fc0b:881f:ffff:ffff:ffff:ffff:ffff:ffff
131fc0b:8820::/28fc0b:882f:ffff:ffff:ffff:ffff:ffff:ffff
132fc0b:8830::/28fc0b:883f:ffff:ffff:ffff:ffff:ffff:ffff
133fc0b:8840::/28fc0b:884f:ffff:ffff:ffff:ffff:ffff:ffff
134fc0b:8850::/28fc0b:885f:ffff:ffff:ffff:ffff:ffff:ffff
135fc0b:8860::/28fc0b:886f:ffff:ffff:ffff:ffff:ffff:ffff
136fc0b:8870::/28fc0b:887f:ffff:ffff:ffff:ffff:ffff:ffff
137fc0b:8880::/28fc0b:888f:ffff:ffff:ffff:ffff:ffff:ffff
138fc0b:8890::/28fc0b:889f:ffff:ffff:ffff:ffff:ffff:ffff
139fc0b:88a0::/28fc0b:88af:ffff:ffff:ffff:ffff:ffff:ffff
140fc0b:88b0::/28fc0b:88bf:ffff:ffff:ffff:ffff:ffff:ffff
141fc0b:88c0::/28fc0b:88cf:ffff:ffff:ffff:ffff:ffff:ffff
142fc0b:88d0::/28fc0b:88df:ffff:ffff:ffff:ffff:ffff:ffff
143fc0b:88e0::/28fc0b:88ef:ffff:ffff:ffff:ffff:ffff:ffff
144fc0b:88f0::/28fc0b:88ff:ffff:ffff:ffff:ffff:ffff:ffff
145fc0b:8900::/28fc0b:890f:ffff:ffff:ffff:ffff:ffff:ffff
146fc0b:8910::/28fc0b:891f:ffff:ffff:ffff:ffff:ffff:ffff
147fc0b:8920::/28fc0b:892f:ffff:ffff:ffff:ffff:ffff:ffff
148fc0b:8930::/28fc0b:893f:ffff:ffff:ffff:ffff:ffff:ffff
149fc0b:8940::/28fc0b:894f:ffff:ffff:ffff:ffff:ffff:ffff
150fc0b:8950::/28fc0b:895f:ffff:ffff:ffff:ffff:ffff:ffff
151fc0b:8960::/28fc0b:896f:ffff:ffff:ffff:ffff:ffff:ffff
152fc0b:8970::/28fc0b:897f:ffff:ffff:ffff:ffff:ffff:ffff
153fc0b:8980::/28fc0b:898f:ffff:ffff:ffff:ffff:ffff:ffff
154fc0b:8990::/28fc0b:899f:ffff:ffff:ffff:ffff:ffff:ffff
155fc0b:89a0::/28fc0b:89af:ffff:ffff:ffff:ffff:ffff:ffff
156fc0b:89b0::/28fc0b:89bf:ffff:ffff:ffff:ffff:ffff:ffff
157fc0b:89c0::/28fc0b:89cf:ffff:ffff:ffff:ffff:ffff:ffff
158fc0b:89d0::/28fc0b:89df:ffff:ffff:ffff:ffff:ffff:ffff
159fc0b:89e0::/28fc0b:89ef:ffff:ffff:ffff:ffff:ffff:ffff
160fc0b:89f0::/28fc0b:89ff:ffff:ffff:ffff:ffff:ffff:ffff
161fc0b:8a00::/28fc0b:8a0f:ffff:ffff:ffff:ffff:ffff:ffff
162fc0b:8a10::/28fc0b:8a1f:ffff:ffff:ffff:ffff:ffff:ffff
163fc0b:8a20::/28fc0b:8a2f:ffff:ffff:ffff:ffff:ffff:ffff
164fc0b:8a30::/28fc0b:8a3f:ffff:ffff:ffff:ffff:ffff:ffff
165fc0b:8a40::/28fc0b:8a4f:ffff:ffff:ffff:ffff:ffff:ffff
166fc0b:8a50::/28fc0b:8a5f:ffff:ffff:ffff:ffff:ffff:ffff
167fc0b:8a60::/28fc0b:8a6f:ffff:ffff:ffff:ffff:ffff:ffff
168fc0b:8a70::/28fc0b:8a7f:ffff:ffff:ffff:ffff:ffff:ffff
169fc0b:8a80::/28fc0b:8a8f:ffff:ffff:ffff:ffff:ffff:ffff
170fc0b:8a90::/28fc0b:8a9f:ffff:ffff:ffff:ffff:ffff:ffff
171fc0b:8aa0::/28fc0b:8aaf:ffff:ffff:ffff:ffff:ffff:ffff
172fc0b:8ab0::/28fc0b:8abf:ffff:ffff:ffff:ffff:ffff:ffff
173fc0b:8ac0::/28fc0b:8acf:ffff:ffff:ffff:ffff:ffff:ffff
174fc0b:8ad0::/28fc0b:8adf:ffff:ffff:ffff:ffff:ffff:ffff
175fc0b:8ae0::/28fc0b:8aef:ffff:ffff:ffff:ffff:ffff:ffff
176fc0b:8af0::/28fc0b:8aff:ffff:ffff:ffff:ffff:ffff:ffff
177fc0b:8b00::/28fc0b:8b0f:ffff:ffff:ffff:ffff:ffff:ffff
178fc0b:8b10::/28fc0b:8b1f:ffff:ffff:ffff:ffff:ffff:ffff
179fc0b:8b20::/28fc0b:8b2f:ffff:ffff:ffff:ffff:ffff:ffff
180fc0b:8b30::/28fc0b:8b3f:ffff:ffff:ffff:ffff:ffff:ffff
181fc0b:8b40::/28fc0b:8b4f:ffff:ffff:ffff:ffff:ffff:ffff
182fc0b:8b50::/28fc0b:8b5f:ffff:ffff:ffff:ffff:ffff:ffff
183fc0b:8b60::/28fc0b:8b6f:ffff:ffff:ffff:ffff:ffff:ffff
184fc0b:8b70::/28fc0b:8b7f:ffff:ffff:ffff:ffff:ffff:ffff
185fc0b:8b80::/28fc0b:8b8f:ffff:ffff:ffff:ffff:ffff:ffff
186fc0b:8b90::/28fc0b:8b9f:ffff:ffff:ffff:ffff:ffff:ffff
187fc0b:8ba0::/28fc0b:8baf:ffff:ffff:ffff:ffff:ffff:ffff
188fc0b:8bb0::/28fc0b:8bbf:ffff:ffff:ffff:ffff:ffff:ffff
189fc0b:8bc0::/28fc0b:8bcf:ffff:ffff:ffff:ffff:ffff:ffff
190fc0b:8bd0::/28fc0b:8bdf:ffff:ffff:ffff:ffff:ffff:ffff
191fc0b:8be0::/28fc0b:8bef:ffff:ffff:ffff:ffff:ffff:ffff
192fc0b:8bf0::/28fc0b:8bff:ffff:ffff:ffff:ffff:ffff:ffff
193fc0b:8c00::/28fc0b:8c0f:ffff:ffff:ffff:ffff:ffff:ffff
194fc0b:8c10::/28fc0b:8c1f:ffff:ffff:ffff:ffff:ffff:ffff
195fc0b:8c20::/28fc0b:8c2f:ffff:ffff:ffff:ffff:ffff:ffff
196fc0b:8c30::/28fc0b:8c3f:ffff:ffff:ffff:ffff:ffff:ffff
197fc0b:8c40::/28fc0b:8c4f:ffff:ffff:ffff:ffff:ffff:ffff
198fc0b:8c50::/28fc0b:8c5f:ffff:ffff:ffff:ffff:ffff:ffff
199fc0b:8c60::/28fc0b:8c6f:ffff:ffff:ffff:ffff:ffff:ffff
200fc0b:8c70::/28fc0b:8c7f:ffff:ffff:ffff:ffff:ffff:ffff
201fc0b:8c80::/28fc0b:8c8f:ffff:ffff:ffff:ffff:ffff:ffff
202fc0b:8c90::/28fc0b:8c9f:ffff:ffff:ffff:ffff:ffff:ffff
203fc0b:8ca0::/28fc0b:8caf:ffff:ffff:ffff:ffff:ffff:ffff
204fc0b:8cb0::/28fc0b:8cbf:ffff:ffff:ffff:ffff:ffff:ffff
205fc0b:8cc0::/28fc0b:8ccf:ffff:ffff:ffff:ffff:ffff:ffff
206fc0b:8cd0::/28fc0b:8cdf:ffff:ffff:ffff:ffff:ffff:ffff
207fc0b:8ce0::/28fc0b:8cef:ffff:ffff:ffff:ffff:ffff:ffff
208fc0b:8cf0::/28fc0b:8cff:ffff:ffff:ffff:ffff:ffff:ffff
209fc0b:8d00::/28fc0b:8d0f:ffff:ffff:ffff:ffff:ffff:ffff
210fc0b:8d10::/28fc0b:8d1f:ffff:ffff:ffff:ffff:ffff:ffff
211fc0b:8d20::/28fc0b:8d2f:ffff:ffff:ffff:ffff:ffff:ffff
212fc0b:8d30::/28fc0b:8d3f:ffff:ffff:ffff:ffff:ffff:ffff
213fc0b:8d40::/28fc0b:8d4f:ffff:ffff:ffff:ffff:ffff:ffff
214fc0b:8d50::/28fc0b:8d5f:ffff:ffff:ffff:ffff:ffff:ffff
215fc0b:8d60::/28fc0b:8d6f:ffff:ffff:ffff:ffff:ffff:ffff
216fc0b:8d70::/28fc0b:8d7f:ffff:ffff:ffff:ffff:ffff:ffff
217fc0b:8d80::/28fc0b:8d8f:ffff:ffff:ffff:ffff:ffff:ffff
218fc0b:8d90::/28fc0b:8d9f:ffff:ffff:ffff:ffff:ffff:ffff
219fc0b:8da0::/28fc0b:8daf:ffff:ffff:ffff:ffff:ffff:ffff
220fc0b:8db0::/28fc0b:8dbf:ffff:ffff:ffff:ffff:ffff:ffff
221fc0b:8dc0::/28fc0b:8dcf:ffff:ffff:ffff:ffff:ffff:ffff
222fc0b:8dd0::/28fc0b:8ddf:ffff:ffff:ffff:ffff:ffff:ffff
223fc0b:8de0::/28fc0b:8def:ffff:ffff:ffff:ffff:ffff:ffff
224fc0b:8df0::/28fc0b:8dff:ffff:ffff:ffff:ffff:ffff:ffff
225fc0b:8e00::/28fc0b:8e0f:ffff:ffff:ffff:ffff:ffff:ffff
226fc0b:8e10::/28fc0b:8e1f:ffff:ffff:ffff:ffff:ffff:ffff
227fc0b:8e20::/28fc0b:8e2f:ffff:ffff:ffff:ffff:ffff:ffff
228fc0b:8e30::/28fc0b:8e3f:ffff:ffff:ffff:ffff:ffff:ffff
229fc0b:8e40::/28fc0b:8e4f:ffff:ffff:ffff:ffff:ffff:ffff
230fc0b:8e50::/28fc0b:8e5f:ffff:ffff:ffff:ffff:ffff:ffff
231fc0b:8e60::/28fc0b:8e6f:ffff:ffff:ffff:ffff:ffff:ffff
232fc0b:8e70::/28fc0b:8e7f:ffff:ffff:ffff:ffff:ffff:ffff
233fc0b:8e80::/28fc0b:8e8f:ffff:ffff:ffff:ffff:ffff:ffff
234fc0b:8e90::/28fc0b:8e9f:ffff:ffff:ffff:ffff:ffff:ffff
235fc0b:8ea0::/28fc0b:8eaf:ffff:ffff:ffff:ffff:ffff:ffff
236fc0b:8eb0::/28fc0b:8ebf:ffff:ffff:ffff:ffff:ffff:ffff
237fc0b:8ec0::/28fc0b:8ecf:ffff:ffff:ffff:ffff:ffff:ffff
238fc0b:8ed0::/28fc0b:8edf:ffff:ffff:ffff:ffff:ffff:ffff
239fc0b:8ee0::/28fc0b:8eef:ffff:ffff:ffff:ffff:ffff:ffff
240fc0b:8ef0::/28fc0b:8eff:ffff:ffff:ffff:ffff:ffff:ffff
241fc0b:8f00::/28fc0b:8f0f:ffff:ffff:ffff:ffff:ffff:ffff
242fc0b:8f10::/28fc0b:8f1f:ffff:ffff:ffff:ffff:ffff:ffff
243fc0b:8f20::/28fc0b:8f2f:ffff:ffff:ffff:ffff:ffff:ffff
244fc0b:8f30::/28fc0b:8f3f:ffff:ffff:ffff:ffff:ffff:ffff
245fc0b:8f40::/28fc0b:8f4f:ffff:ffff:ffff:ffff:ffff:ffff
246fc0b:8f50::/28fc0b:8f5f:ffff:ffff:ffff:ffff:ffff:ffff
247fc0b:8f60::/28fc0b:8f6f:ffff:ffff:ffff:ffff:ffff:ffff
248fc0b:8f70::/28fc0b:8f7f:ffff:ffff:ffff:ffff:ffff:ffff
249fc0b:8f80::/28fc0b:8f8f:ffff:ffff:ffff:ffff:ffff:ffff
250fc0b:8f90::/28fc0b:8f9f:ffff:ffff:ffff:ffff:ffff:ffff
251fc0b:8fa0::/28fc0b:8faf:ffff:ffff:ffff:ffff:ffff:ffff
252fc0b:8fb0::/28fc0b:8fbf:ffff:ffff:ffff:ffff:ffff:ffff
253fc0b:8fc0::/28fc0b:8fcf:ffff:ffff:ffff:ffff:ffff:ffff
254fc0b:8fd0::/28fc0b:8fdf:ffff:ffff:ffff:ffff:ffff:ffff
255fc0b:8fe0::/28fc0b:8fef:ffff:ffff:ffff:ffff:ffff:ffff
256fc0b:8ff0::/28fc0b:8fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses